#pragma once

const GLfloat body_Xsize = 0.4f;
const GLfloat body_Ysize = 1.6f;
const GLfloat body_Zsize = 1.0f;

const GLfloat head_Xsize = body_Xsize;
const GLfloat head_Ysize = 0.5f;
const GLfloat head_Zsize = 0.56f;

const GLfloat eye_Xsize = head_Zsize / 6.0f;
const GLfloat eye_Ysize = eye_Xsize;

const GLfloat nose_Xsize = head_Zsize / 6.0f;
const GLfloat nose_Ysize = head_Ysize / 6.0f;

const GLfloat mouth_Xsize = head_Zsize / 2.5f;
const GLfloat mouth_Ysize = mouth_Xsize / 4.0f;

const GLfloat leg_Xsize = body_Xsize / 2.5f;
const GLfloat leg_Ysize = 0.6f;
const GLfloat leg_Zsize = body_Zsize / 4.0f;

const GLfloat hand_Xsize = 0.9f;
const GLfloat hand_Ysize = 0.16f;
const GLfloat hand_Zsize = 0.16f;

const GLdouble sword_height = 1.0;
const GLdouble sword_radius = 0.08;

const GLdouble horn_height = 0.24;
const GLdouble horn_radius = 0.1;


//-----------------------------------------

void draw_body(GLuint textures[6]);
void draw_head(bool isLeftRobot);
void draw_leg();
void draw_hand(bool isLeft);

void draw_LeftPart_body(GLuint textures[6]);
void draw_RightPart_body(GLuint textures[6]);

void draw_sword();
void draw_horns();


void draw_leftRobot(GLfloat curTime, GLuint textures[]);
void draw_rightRobot(GLfloat curTime, GLuint textures[]);

void draw_leftRobot_shadow(GLfloat curTime);
void draw_rightRobot_shadow(GLfloat curTime);

void draw_parallelepiped(GLfloat sizes[3], GLubyte color[6][3]);